2019-10-16 12:36 EDT


View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0001530FSSCPBTRLpublic2007-12-04 05:52
Reporterhavner 
Assigned Totaylor 
PrioritynormalSeverityminorReproducibilityalways
StatusresolvedResolutionfixed 
Product Version 
Target VersionFixed in Version3.6.10 
Summary0001530: LINUX: Left mouse button is not working
DescriptionWhen you try to assign mouse buttons Mouse1 works as expected, middle mouse button generates Mouse2 (instead of Mouse3) and right generates Mouse1 (instead of Mouse2). This issue was present in 3.6.9 release of fs2_open for Linux as well but was fixed, both on 3.6.9 branch and on head. Could you please merge it in btrl as well?
Additional InformationUsing first btrl patch.

My X mouse config:
Section "InputDevice"
        Identifier "Mouse0"
        Driver "mouse"
        Option "Protocol" "IMPS/2"
        Option "Device" "/dev/input/mouse0"
        Option "Buttons" "5"
        Option "ZAxisMapping" "4 5"
        Option "Emulate3Buttons" "yes"
EndSection
TagsNo tags attached.
Attached Files

-Relationships
+Relationships

-Notes

~0008710

havner (reporter)

Subject for this bug should be: "Right mouse button...". Sorry.

~0008725

havner (reporter)

Fixed in latest btrl patch.

~0008727

taylor (administrator)

BtRL specific bugs don't really belong here, but this one was a standard 3.6.9 bug which was later fixed. And since I don't report bugs that I find on my own, I guess this one will just be a belated "fixed". :)


Fixered.
+Notes

-Issue History
Date Modified Username Field Change
2007-11-30 04:17 havner New Issue
2007-11-30 04:31 havner Note Added: 0008710
2007-12-04 01:18 havner Note Added: 0008725
2007-12-04 05:52 taylor Status new => resolved
2007-12-04 05:52 taylor Fixed in Version => 3.6.10
2007-12-04 05:52 taylor Resolution open => fixed
2007-12-04 05:52 taylor Assigned To => taylor
2007-12-04 05:52 taylor Note Added: 0008727
+Issue History